<?php
/**
 * Installation file for CSV Improved
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @package CSVImproved
 * @author Roland Dalmulder
 * @link http://www.csvimproved.com
 * @copyright Copyright (C) 2006 - 2008 Roland Dalmulder
 * @version $Id: install.csvimproved.php 502 2008-10-19 06:10:34Z Roland $
 */

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
 * Joomla installer
 *
 * The Joomla installer calls this function on installation, here process
 * some tasks to prepare for use
 */
function com_install() {
	global $database, $mosConfig_absolute_path, $mosConfig_lang, $mosConfig_live_site;
	
	/* Include the language file */
	if (file_exists($mosConfig_absolute_path."/administrator/components/com_csvimproved/languages/csvi_".$mosConfig_lang.".php")) {
		require_once($mosConfig_absolute_path."/administrator/components/com_csvimproved/languages/csvi_".$mosConfig_lang.".php");
	}
	else require_once($mosConfig_absolute_path."/administrator/components/com_csvimproved/languages/csvi_english.php");
	
	/* Get the current columns */
	$q = "SHOW COLUMNS FROM #__csvi_templates";
	$database->setQuery($q);
	$cols = $database->loadObjectList('Field');
	
	/* Check if we have the ID column */
	if (!array_key_exists('ID', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN ID tinyint(2) NOT NULL auto_increment";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['ID']);
	
	/* Check if we have the template_name column */
	if (!array_key_exists('template_name', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN template_name varchar(255) NOT NULL default ''";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['template_name']);
	
	/* Check if we have the template_type column */
	if (!array_key_exists('template_type', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN template_type varchar(50) NOT NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['template_type']);
	
	/* Check if we have the skip_first_line column */
	if (!array_key_exists('skip_first_line', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN skip_first_line tinyint(1) NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['skip_first_line']);
	
	/* Check if we have the use_column_headers column */
	if (!array_key_exists('use_column_headers', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN use_column_headers tinyint(1) NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['use_column_headers']);
	
	/* Check if we have the collect_debug_info column */
	if (!array_key_exists('collect_debug_info', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN collect_debug_info tinyint(1) NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['collect_debug_info']);
	
	/* Check if we have the overwrite_existing_data column */
	if (!array_key_exists('overwrite_existing_data', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN overwrite_existing_data tinyint(1) NOT NULL default '1'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['overwrite_existing_data']);
	
	/* Check if we have the skip_default_value column */
	if (!array_key_exists('skip_default_value', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN skip_default_value tinyint(1) NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['skip_default_value']);
	
	/* Check if we have the show_preview column */
	if (!array_key_exists('show_preview', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN show_preview tinyint(1) NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['show_preview']);
	
	/* Check if we have the include_column_headers column */
	if (!array_key_exists('include_column_headers', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN include_column_headers tinyint(1) NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['include_column_headers']);
	
	/* Check if we have the text_enclosure column */
	if (!array_key_exists('text_enclosure', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN text_enclosure varchar(2) NOT NULL default '~'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['text_enclosure']);
	
	/* Check if we have the field_delimiter column */
	if (!array_key_exists('field_delimiter', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN field_delimiter varchar(2) NOT NULL default '^'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['field_delimiter']);
	
	/* Check if we have the export_type column */
	if (!array_key_exists('export_type', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN export_type varchar(10) NOT NULL default 'csv'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['export_type']);
	
	/* Check if we have the export_site column */
	if (!array_key_exists('export_site', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN export_site varchar(255) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['export_site']);
	
	/* Check if we have the thumb_width column */
	if (!array_key_exists('thumb_width', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN thumb_width int(4) default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['thumb_width']);
	
	/* Check if we have the thumb_height column */
	if (!array_key_exists('thumb_height', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN thumb_height int(4) default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['thumb_height']);
	
	/* Check if we have the shopper_group_id column */
	if (!array_key_exists('shopper_group_id', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN shopper_group_id int(4) unsigned default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['shopper_group_id']);
	
	/* Check if we have the producturl_suffix column */
	if (!array_key_exists('producturl_suffix', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN producturl_suffix varchar(255) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['producturl_suffix']);
	
	/* Check if we have the file_location column */
	if (!array_key_exists('file_location', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN file_location varchar(255) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['file_location']);
	
	/* Check if we have the product_publish column */
	if (!array_key_exists('product_publish', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN product_publish varchar(1) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['product_publish']);
	
	/* Check if we have the max_execution_time column */
	if (!array_key_exists('max_execution_time', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN max_execution_time int(4) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['max_execution_time']);
	
	/* Check if we have the max_input_time column */
	if (!array_key_exists('max_input_time', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN max_input_time int(4) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['max_input_time']);
	
	/* Check if we have the memory_limit column */
	if (!array_key_exists('memory_limit', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN memory_limit int(4) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['memory_limit']);
	
	/* Check if we have the post_max_size column */
	if (!array_key_exists('post_max_size', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN post_max_size int(4) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['post_max_size']);
	
	/* Check if we have the upload_max_filesize column */
	if (!array_key_exists('upload_max_filesize', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN upload_max_filesize int(4) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['upload_max_filesize']);
	
	/* Check if we have the export_filename column */
	if (!array_key_exists('export_filename', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN export_filename varchar(255) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['export_filename']);
	
	/* Check if we have the manufacturer column */
	if (!array_key_exists('manufacturer', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_templates ADD COLUMN manufacturer varchar(255) default NULL";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['manufacturer']);
	
	/* Check if there are any columns to be deleted */
	if (count($cols) > 0) {
		foreach($cols as $name => $value) {
			$q = "ALTER TABLE #__csvi_templates DROP ".$name;
			$database->setQuery($q);
			$database->query();
		}
	}
	
	/* Get the current columns */
	$cols = array();
	$q = "SHOW COLUMNS FROM #__csvi_configuration";
	$database->setQuery($q);
	$cols = $database->loadObjectList('Field');
	
	/* Check if we have the id column */
	if (!array_key_exists('id', $cols)) {
		if (array_key_exists('field_id', $cols)) {
			$database->setQuery("ALTER TABLE #__csvi_configuration CHANGE `field_id` `id` INT( 11 ) NOT NULL AUTO_INCREMENT");
			$database->query();
			unset($cols['field_id']);
		}
		else {
			$q = "ALTER IGNORE TABLE #__csvi_configuration ADD COLUMN id int(11) NOT NULL auto_increment";
			$database->setQuery($q);
			$database->query();
		}
	}
	else unset($cols['id']);
	
	/* Check if we have the field_template_id column */
	if (!array_key_exists('field_template_id', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_configuration ADD COLUMN field_template_id int(11) NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['field_template_id']);
	
	/* Check if we have the field_name column */
	if (!array_key_exists('field_name', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_configuration ADD COLUMN field_name varchar(128) NOT NULL default ''";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['field_name']);
	
	/* Check if we have the field_column_header column */
	if (!array_key_exists('field_column_header', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_configuration ADD COLUMN field_column_header varchar(128) NOT NULL default ''";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['field_column_header']);
	
	/* Check if we have the field_default_value column */
	if (!array_key_exists('field_default_value', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_configuration ADD COLUMN field_default_value text";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['field_default_value']);
	
	/* Check if we have the field_order column */
	if (!array_key_exists('field_order', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_configuration ADD COLUMN field_order int(3) NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['field_order']);
	
	/* Check if we have the published column */
	if (!array_key_exists('published', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_configuration ADD COLUMN published tinyint(1) unsigned NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['published']);
	
	/* Check if we have the checked_out column */
	if (!array_key_exists('checked_out', $cols)) {
		$q = "ALTER IGNORE TABLE #__csvi_configuration ADD COLUMN checked_out int(10) unsigned NOT NULL default '0'";
		$database->setQuery($q);
		$database->query();
	}
	else unset($cols['checked_out']);
	
	/* Check if there are any columns to be deleted */
	if (count($cols) > 0) {
		foreach($cols as $name => $value) {
			$q = "ALTER TABLE #__csvi_configuration DROP ".$name;
			$database->setQuery($q);
			$database->query();
		}
	}
	
	/* 	Change the mf_name field to manufacturer_name */
	$database->setQuery("UPDATE #__csvi_configuration SET `field_name` = 'manufacturer_name' WHERE `field_name` = 'mf_name'");
	$database->query();
	
	/* Rename some template types as they have changed */
	$database->setQuery("UPDATE #__csvi_templates SET template_type = 'ProductExport' WHERE template_type = 'RegularExport'");
	$database->query();
	
	$database->setQuery("UPDATE #__csvi_templates SET template_type = 'ProductImport' WHERE template_type = 'NormalUpload'");
	$database->query();
	
	 /* List of standard templates */
	$standardtemplates = array('CSVI Google Base Export XML',
						'CSVI Product Import',
						'CSVI Product files import',
						'CSVI Multiple Prices import',
						'CSVI Manufacturer details import',
						'CSVI Category details import', 
						'CSVI Category details export',
						'CSVI Multiple Prices export',
						'CSVI Product files export',
						'CSVI Product Export');
	
	/* Get a list of templates */
	$database->setQuery("SELECT template_name FROM #__csvi_templates");
	$database->query();
	$installedtemplates = $database->loadResultArray();
	
	/* Check if there are templates not yet */
	$installtemplates = array_diff($standardtemplates, $installedtemplates);
	
	/* Set the headers for template insert */
	$templateinsert = "INSERT INTO `#__csvi_templates` (`template_name`, `template_type`, `skip_first_line`, `use_column_headers`, `collect_debug_info`, `overwrite_existing_data`, `skip_default_value`, `show_preview`, `include_column_headers`, `text_enclosure`, `field_delimiter`, `export_type`, `export_site`, `thumb_width`, `thumb_height`, `shopper_group_id`, `producturl_suffix`, `file_location`, `product_publish`) VALUES ";
	
	/* Standard templates data */
	$templatedata = array();
	$templatedata[] = "('CSVI Google Base Export XML', 'ProductExport', 0, 1, 1, 1, 0, 0, 1, '~', '^', 'xml', 'froogle', 0, 0, NULL, NULL, '', '')";
	$templatedata[] = "('CSVI Product Import', 'ProductImport', 1, 0, 0, 1, 0, 1, 0, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	$templatedata[] = "('CSVI Product Export', 'ProductExport', 0, 0, 0, 0, 0, 0, 1, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	$templatedata[] = "('CSVI Product files import', 'ProductFilesUpload', 1, 0, 0, 1, 0, 1, 0, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	$templatedata[] = "('CSVI Multiple Prices import', 'MultiplePricesUpload', 1, 0, 0, 1, 0, 1, 0, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	$templatedata[] = "('CSVI Multiple Prices export', 'MultiplePricesExport', 0, 0, 0, 0, 0, 0, 1, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	$templatedata[] = "('CSVI Manufacturer details import', 'ManufacturerImport', 1, 0, 0, 1, 0, 1, 0, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	$templatedata[] = "('CSVI Category details import', 'CategoryDetailsImport', 1, 0, 0, 1, 0, 1, 0, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	$templatedata[] = "('CSVI Category details export', 'CategoryDetailsExport', 0, 0, 0, 0, 0, 0, 1, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	$templatedata[] = "('CSVI Product files export', 'ProductFilesExport', 1, 0, 0, 1, 0, 1, 1, '~', '^', 'csv', '', 0, 0, 0, '', '', '')";
	
	/* Set the headers for template field insert */
	$templatefieldinsert = "INSERT INTO `#__csvi_configuration` (`field_template_id`, `field_name`, `field_column_header`, `field_default_value`, `field_order`, `published`) VALUES ";
	
	/* Standard templatefields data */
	$templatefielddata[1][] = "({lastid}, 'product_name', 'title', '', 1, 1)";
	$templatefielddata[1][] = "({lastid}, 'product_url', 'link', 'http://www.<yoursite>.com/', 2, 1)";
	$templatefielddata[1][] = "({lastid}, 'product_desc', 'description', '', 3, 1)";
	$templatefielddata[1][] = "({lastid}, 'product_sku', 'g:id', '', 4, 1)";
	$templatefielddata[1][] = "({lastid}, 'picture_url', 'g:image_link', '', 5, 1)";
	$templatefielddata[1][] = "({lastid}, 'product_price', 'g:price', '', 6, 1)";
	$templatefielddata[1][] = "({lastid}, 'manufacturer_name', 'g:brand', 'Not Available', 7, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:condition', 'New', 8, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:payment_notes', '30 Days Money Back Guarantee', 9, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:expiration_date', 'None', 10, 1)";
	$templatefielddata[1][] = "({lastid}, 'product_width', 'g:width', 'Not Available', 11, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:payment_accepted', 'Check', 12, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:payment_accepted', 'Visa, 13, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:payment_accepted', 'MasterCard, 14, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:payment_accepted', 'AmericanExpress', 15, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:payment_accepted', 'Paypal', 16, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:payment_accepted', 'Money order', 17, 1)";
	$templatefielddata[1][] = "({lastid}, 'product_weight', 'g:weight', 'Not Available', 18, 1)";
	$templatefielddata[1][] = "({lastid}, 'product_length', 'g:lenght', 'Not Available', 19, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:price_type', 'Non Negotiable', 20, 1)";
	$templatefielddata[1][] = "({lastid}, 'product_in_stock', 'g:quantity', 'Not Available', 21, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:tax_region', 'Florida', 22, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:tax_percent', '6', 23, 1)";
	$templatefielddata[1][] = "({lastid}, 'attribute', 'g:tech_spec_link', 'http://www.<yoursite>.com/technical_specifications.html', 24, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:pickup', 'FALSE', 25, 1)";
	$templatefielddata[1][] = "({lastid}, 'custom', 'g:shipping', 'US:UPS Ground:5.00', 26, 1)";
	
	$templatefielddata[2][] = "({lastid}, 'category_path', '', '', 3, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_availability', '', '', 10, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_available_date', '', '', 11, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_currency', '', 'EUR', 12, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_desc', '', '', 6, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_discount', '', '', 13, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_discount_date_end', '', '', 14, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_discount_date_start', '', '', 15, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_full_image', '', '', 8, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_name', '', '', 4, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_packaging', '', '', 16, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_parent_sku', '', '', 2, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_price', '', '', 7, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_publish', '', 'Y', 17, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_s_desc', '', '', 5, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_sku', '', '', 1, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_special', '', '', 18, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_tax', '', '', 19, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_thumb_image', '', '', 9, 1)";
	$templatefielddata[2][] = "({lastid}, 'product_url', '', '', 20, 1)";
	
	$templatefielddata[3][] = "({lastid}, 'category_path', '', '', 3, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_availability', '', '', 10, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_available_date', '', '', 11, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_currency', '', 'EUR', 12, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_desc', '', '', 6, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_discount', '', '', 13, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_discount_date_end', '', '', 14, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_discount_date_start', '', '', 15, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_full_image', '', '', 8, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_name', '', '', 4, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_packaging', '', '', 16, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_parent_sku', '', '', 2, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_price', '', '', 7, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_publish', '', 'Y', 17, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_s_desc', '', '', 5, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_sku', '', '', 1, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_special', '', '', 18, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_tax', '', '', 19, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_thumb_image', '', '', 9, 1)";
	$templatefielddata[3][] = "({lastid}, 'product_url', '', '', 20, 1)";
	
	$templatefielddata[4][] = "({lastid}, 'product_files_file_description', '', '', 4, 1)";
	$templatefielddata[4][] = "({lastid}, 'product_files_file_name', '', '', 2, 1)";
	$templatefielddata[4][] = "({lastid}, 'product_files_file_published', '', '', 6, 1)";
	$templatefielddata[4][] = "({lastid}, 'product_files_file_title', '', '', 3, 1)";
	$templatefielddata[4][] = "({lastid}, 'product_files_file_url', '', '', 5, 1)";
	$templatefielddata[4][] = "({lastid}, 'product_sku', '', '', 1, 1)";
	
	$templatefielddata[5][] = "({lastid}, 'product_sku', '', '', 1, 1)";
	$templatefielddata[5][] = "({lastid}, 'product_currency', '', '', 3, 1)";
	$templatefielddata[5][] = "({lastid}, 'price_quantity_start', '', '', 4, 1)";
	$templatefielddata[5][] = "({lastid}, 'price_quantity_end', '', '', 5, 1)";
	$templatefielddata[5][] = "({lastid}, 'product_price', '', '', 2, 1)";
	
	$templatefielddata[6][] = "({lastid}, 'product_sku', '', '', 1, 1)";
	$templatefielddata[6][] = "({lastid}, 'product_currency', '', '', 3, 1)";
	$templatefielddata[6][] = "({lastid}, 'price_quantity_start', '', '', 4, 1)";
	$templatefielddata[6][] = "({lastid}, 'price_quantity_end', '', '', 5, 1)";
	$templatefielddata[6][] = "({lastid}, 'product_price', '', '', 2, 1)";
	
	$templatefielddata[7][] = "({lastid}, 'manufacturer_desc', '', '', 2, 1)";
	$templatefielddata[7][] = "({lastid}, 'manufacturer_email', '', '', 3, 1)";
	$templatefielddata[7][] = "({lastid}, 'manufacturer_name', '', '', 1, 1)";
	$templatefielddata[7][] = "({lastid}, 'manufacturer_category_name', '', '', 5, 1)";
	$templatefielddata[7][] = "({lastid}, 'manufacturer_url', '', '', 4, 1)";
	
	$templatefielddata[8][] = "({lastid}, 'category_path', '', '', 1, 1)";
	$templatefielddata[8][] = "({lastid}, 'category_description', '', '', 2, 1)";
	$templatefielddata[8][] = "({lastid}, 'category_thumb_image', '', '', 4, 1)";
	$templatefielddata[8][] = "({lastid}, 'category_full_image', '', '', 3, 1)";
	$templatefielddata[8][] = "({lastid}, 'category_publish', '', '', 8, 1)";
	$templatefielddata[8][] = "({lastid}, 'category_browsepage', '', '', 6, 1)";
	$templatefielddata[8][] = "({lastid}, 'category_products_per_row', '', '', 5, 1)";
	$templatefielddata[8][] = "({lastid}, 'category_flypage', '', '', 7, 1)";
	$templatefielddata[8][] = "({lastid}, 'category_list_order', '', '', 9, 1)";
	
	$templatefielddata[9][] = "({lastid}, 'category_path', '', '', 1, 1)";
	$templatefielddata[9][] = "({lastid}, 'category_description', '', '', 2, 1)";
	$templatefielddata[9][] = "({lastid}, 'category_thumb_image', '', '', 4, 1)";
	$templatefielddata[9][] = "({lastid}, 'category_full_image', '', '', 3, 1)";
	$templatefielddata[9][] = "({lastid}, 'category_publish', '', '', 8, 1)";
	$templatefielddata[9][] = "({lastid}, 'category_browsepage', '', '', 6, 1)";
	$templatefielddata[9][] = "({lastid}, 'category_products_per_row', '', '', 5, 1)";
	$templatefielddata[9][] = "({lastid}, 'category_flypage', '', '', 7, 1)";
	$templatefielddata[9][] = "({lastid}, 'category_list_order', '', '', 9, 1)";
	
	$templatefielddata[10][] = "({lastid}, 'product_files_file_description', '', '', 4, 1)";
	$templatefielddata[10][] = "({lastid}, 'product_files_file_name', '', '', 2, 1)";
	$templatefielddata[10][] = "({lastid}, 'product_files_file_published', '', '', 6, 1)";
	$templatefielddata[10][] = "({lastid}, 'product_files_file_title', '', '', 3, 1)";
	$templatefielddata[10][] = "({lastid}, 'product_files_file_url', '', '', 5, 1)";
	$templatefielddata[10][] = "({lastid}, 'product_sku', '', '', 1, 1)";
	
	
	foreach ($installtemplates as $key => $templatename) {
		/* Add the template */
		$database->setQuery($templateinsert.$templatedata[$key]);
		$database->query();
		
		$insertid = $database->insertid();
		/* Add the template data */
		foreach ($templatefielddata[$key+1] as $id => $fielddata) {
			$database->setQuery($templatefieldinsert.str_replace('{lastid}', $insertid, $fielddata));
			$database->query();
		}
	}
	
	
	/* Add the admin icon */
	$database->setQuery( "UPDATE #__components SET admin_menu_img = '../administrator/components/com_csvimproved/images/csvi_logo_16x16.png' WHERE admin_menu_link = 'option=com_csvimproved'");
	$database->query();
	
	/*l Modify the admin icons */
	$database->setQuery( "SELECT id FROM #__components WHERE name= 'CSV Improved'" );
	$id = $database->loadResult();
	
	/* Add the admin menu images */
	/* Templates */
	$database->setQuery( "UPDATE #__components SET admin_menu_img = '../administrator/components/com_csvimproved/images/csvi_templates_16x16.png', name = 'Templates' WHERE parent='$id' AND name = 'Templates'");
	$database->query();
	/* About */
	$database->setQuery( "UPDATE #__components SET admin_menu_img = '../administrator/components/com_csvimproved/images/csvi_about_16x16.png', name = 'About' WHERE parent='$id' AND name = 'About'");
	$database->query();
	/* Help */
	$database->setQuery( "UPDATE #__components SET admin_menu_img = '../administrator/components/com_csvimproved/images/csvi_help_16x16.png', name = 'Help' WHERE parent='$id' AND name = 'Help'");
	$database->query();
	/* Import */
	$database->setQuery( "UPDATE #__components SET admin_menu_img = '../administrator/components/com_csvimproved/images/csvi_import_16x16.png', name = 'Import' WHERE parent='$id' AND name = 'Import'");
	$database->query();
	/* Export */
	$database->setQuery( "UPDATE #__components SET admin_menu_img = '../administrator/components/com_csvimproved/images/csvi_export_16x16.png', name = 'Export' WHERE parent='$id' AND name = 'Export'");
	$database->query();
	/* Maintenance */
	$database->setQuery( "UPDATE #__components SET admin_menu_img = '../administrator/components/com_csvimproved/images/csvi_system_16x16.png', name = 'Maintenance' WHERE parent='$id' AND name = 'Maintenance'");
	$database->query();
	
	/* Copy the toolbar images */
	@copy($mosConfig_absolute_path.'/administrator/components/com_csvimproved/images/csvi_fields_32x32.png', $mosConfig_absolute_path.'/administrator/images/csvi_fields_32x32.png');
	@copy($mosConfig_absolute_path.'/administrator/components/com_csvimproved/images/csvi_continue_32x32.png', $mosConfig_absolute_path.'/administrator/images/csvi_continue_32x32.png');
	@copy($mosConfig_absolute_path.'/administrator/components/com_csvimproved/images/csvi_export_32x32.png', $mosConfig_absolute_path.'/administrator/images/csvi_export_32x32.png');
	@copy($mosConfig_absolute_path.'/administrator/components/com_csvimproved/images/csvi_import_32x32.png', $mosConfig_absolute_path.'/administrator/images/csvi_import_32x32.png');
	@copy($mosConfig_absolute_path.'/administrator/components/com_csvimproved/images/csvi_templates_32x32.png', $mosConfig_absolute_path.'/administrator/images/csvi_templates_32x32.png');

	?>
	<img src="<?php echo $mosConfig_live_site;?>/administrator/components/com_csvimproved/images/csvi_logo_name_48x244.png" />
	<br />
	version 0.9 has been succesfully installed.
	<br /><br />
	<div id="csvimproved" style="border: 1px solid #BB0000; float: left; margin-left: 5px; padding: 5px; text-align: left; white-space: auto; width: 70%;">
		<div id="csvimproved_title" style="color: #000066; background: #FFFFFF; margin: 5px; float: left; margin-top: -15px;">CSV Improved</div>
		<br clear="all" />
		<div style="float: left;">
		Features:
		<ul>
			<li>CSV/XML/Excel import</li>
			<li>CSV/XML export</li>
			<li>Custom fields</li>
			<li>Templates</li>
			<li>Preview Import</li>
			<li>Google Base support</li>
			<li>Product URL export</li>
			<li>Image URL export</li>
			<li>Multilingual</li>
			<li>Template based field configuration</li>
			<li>Export to local file or download</li>
			<li>Manufacturer data import/export</li>
			<li>Export per shopper group</li>
			<li>Category details import/export</li>
			<li>Order export</li>
			<li>Cron support</li>
			<li>Custom database fields</li>
		</ul>
		</div>
		<div style="float: right;">
			<table border="0" cellpadding="2" cellspacing="2">
			<tr>
				<td>
				<div id="cpanel">
				<?php echo CpanelButton('csvi_templates_48x48.png', 'index2.php?option=com_csvimproved&amp;act=templates', $CsviLang->CP_TEMPLATES); ?>
				<?php echo CpanelButton('csvi_import_48x48.png', 'index2.php?option=com_csvimproved&amp;act=import', $CsviLang->CP_IMPORT); ?>
				<?php echo CpanelButton('csvi_export_48x48.png', 'index2.php?option=com_csvimproved&amp;act=export', $CsviLang->CP_EXPORT); ?>
				</div>
				</td>
			</tr>
			<tr>
				<td>
				<div id="cpanel">
				<?php echo CpanelButton('csvi_system_48x48.png', 'index2.php?option=com_csvimproved&amp;act=maintenance', $CsviLang->CP_MAINTENANCE); ?>
				<?php echo CpanelButton('csvi_help_48x48.png', 'http://www.csvimproved.com/wiki/doku.php/', $CsviLang->CP_HELP); ?>
				<?php echo CpanelButton('csvi_about_48x48.png', 'index2.php?option=com_csvimproved&amp;act=about', $CsviLang->CP_ABOUT); ?>
				</div>
				</td>
			</tr>
			</table>
		</div>
		<br clear="all" />
		Click on the control panel to start
		<br />
		<br />
		For support visit the website at <a href="http://www.csvimproved.com/" target="_new">www.csvimproved.com</a>.
	</div>
	<br clear="all" />
	<?php
}

function CpanelButton($image, $link, $title) {
	$cpanelbutton = '<div style="float:left;">';
	$cpanelbutton .= '	<div class="icon">';
	$cpanelbutton .= '		<a href="'.$link.'"';
	if (substr($link, 0, 4) == "http") $cpanelbutton .= ' target="_new"';
	$cpanelbutton .= '      >';
	$cpanelbutton .= '			'.mosAdminMenus::imageCheckAdmin( $image, '/administrator/components/com_csvimproved/images/', NULL, NULL, $title );
	$cpanelbutton .= '			<span>'.$title.'</span>';
	$cpanelbutton .= '		</a>';
	$cpanelbutton .= '	</div>';
	$cpanelbutton .= '</div>';
	return $cpanelbutton;
}
?>